Inspect received message
GET/api/messages/:id
x-audience: "management"
x-required-scope: "messages:read"
Returns a message summary, parsed message details while content is available, and its delivery summaries. The message ID is the 24-character receiptId from GET /api/messages. Message content and attachments follow the account's current retention policy.
Request
Responses
- 200
- 401
- 403
- 404
- 429
- 503
Success
Missing, invalid or revoked credentials.
Required scope or account access missing.
Message not found or outside this account.
Shared client-IP or account request allowance exhausted. Retry after the indicated number of seconds. Browser authentication errors can use a different response format.
Response Headers
Cache-Control
no-store
Retry-After
Seconds to wait before retrying.
Request limiting cannot be enforced. Retry later with backoff.
Response Headers
Cache-Control
no-store